Add a product to a sales channel
PUT https://{handle}.myshopline.com/admin/openapi/v20270301/product_listings/:product_listing_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Add a product to the designated sales channel. Once added successfully, the product will be displayed on the corresponding sales channel.
Path Parameters
- product_listing_id string requiredThe unique identifier for the product.
Maximum length:64Example:16049619743346320200470282
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
product_listingobject
Product information.product_id stringThe unique identifier for the product.
Maximum length:64Example:16049619743346320200470282- sale_channel stringThe unique identifier for the sales channel.Example:
web
Status Codes
- 200
- 400
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
product_listingobject
Product information.body_html stringThe product description.imagesobject[]
A list of product images.alt stringThe alternative textual description of the product image, usually a word or phrase with the characteristics or content of the image.Example:This is an image alt.src stringThe link to the product image, represented as a URL.Example:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngspu stringThe identifier customized for the product by the merchant.Example:S00000001subtitle stringThe subtitle of the product.Example:This is a subtitlevariantsobject[]
A list of product variants.inventory_tracker booleanIndicates whether the inventory tracking is enabled.true: Inventory tracking is enabled.false: Inventory tracking is not enabled.
barcode stringThe barcode of the variant.Example:T00000001inventory_policy stringIndicates whether the variant is allowed to be oversold.deny: Does not allow overselling.continue: Allow overselling.
option4 stringInformation of the fourth option of the variant.Example:shortsku stringThe identifier customized for the product variant by the merchant.Example:S00000001weight stringThe weight of the variant. The value is rounded up if it exceeds two decimal places.Example:0.23weight_unit stringThe unit of weight for the variant. Valid values are:g: gramkg: kilogramlb: poundoz: ouncezh_kg: kilogram
imageobject
The image of the variant.alt stringThe alternative textual description of the variant image, usually a word or phrase with the characteristics or content of the image.Example:This is an image alt.src stringThe link to the variant image, represented as a URL.Example:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pnginventory_item_id stringThe unique identifier for the inventory item.Example:59854602422372317075option1 stringInformation of the first option of the variant.Example:redoption5 stringInformation of the fifth option of the variant.Example:casualproduct_id stringThe unique identifier for the product corresponding to the variant.Example:16057039432335097907370282title stringThe title of the variant, assembled from the option value of the variant.Example:red · xlid stringThe unique identifier for the variant.Example:18057039439794751459380282inventory_quantity integerThe total inventory quantity at all storage locations.Example:99option2 stringInformation of the second option of the variant.Example:xloption3 stringInformation of the third option of the variant.Example:cottonprice stringThe selling price of the variant. The value is rounded to two decimal places.Example:90.22compare_at_price stringThe original price of the variant. The value is rounded to two decimal places.Example:129.99created_at stringThe date and time when the product was created. Format: ISO 8601.Example:2025-03-06T02:20:26+08:00optionsobject[]
A list of product options.id stringThe unique identifier for the option.Example:16158068291703878544960282name stringThe name of the option.Example:Colorproduct_id stringThe unique identifier for the product corresponding to the option.Example:16057850264845250791280282values arrayA list of option values.Example:["[\"red\", \"green\", \"white\"]"]values_images mapThe mapping relationship between the option value and the corresponding image URL.Example:{"red":"https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"}vendor stringThe brand or vendor of the product.Example:SHOPLINEtitle stringThe title of the product.Example:This is a product titlehandle stringThe semantically unique identifier for the product, which is generated based ontitleby default.Example:product-handlestatus stringThe status of the product. Valid values are:active: products on shelvesdraft: products off shelvesarchived: products archiving
tags stringA list of tags of the product.Example:tag1, tag2template_path stringThe theme template of the product.Example:templates/product.product_template_name.jsonupdated_at stringThe date and time when the product was last updated. Format: ISO 8601.Example:2025-03-06T02:20:26+08:00product_id stringThe unique identifier for the product.Example:16057850264845250791280282published_at stringThe date and time when the product was published. Format: ISO 8601.Example:2025-03-06T02:20:26+08:00published_scope stringThe published scope of product sales channels.
API Explorer
Debugger
Examples
Was this article helpful to you?